##### ssl::context::use_tmp_dh (2 of 2 overloads)

Use the specified memory buffer to obtain the temporary Diffie-Hellman parameters.

    void use_tmp_dh(
        const const_buffer & dh,
        asio::error_code & ec);

This function is used to load Diffie-Hellman parameters into the context from a buffer.

###### Parameters

dh

  The memory buffer containing the Diffie-Hellman parameters. The buffer must use the PEM format.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_set_tmp_dh`.